Bug 269778 - In new project a "Import into Subversion Repository" menu item commits empty nbproject and src directories
In new project a "Import into Subversion Repository" menu item commits empty ...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote VCS
8.2
PC Solaris
: P2 (vote)
: 8.2
Assigned To: Vladimir Kvashin
issues@cnd
82patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-08 13:24 UTC by soldatov
Modified: 2017-04-19 14:54 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Possible fix (6.68 KB, patch)
2017-03-26 19:53 UTC, Vladimir Kvashin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2017-02-08 13:24:10 UTC
This test scenario works nicely in NetBeans 8.2, but QA test fails in NetBeans 8.2 patch 1 or Oracle IDE.

Scenario:
- On remote host "svnadmin create /create/your/subversion/repository" command should be launched
- Add remote host in IDE
- Push "Create Remote C/C++ project" button
- Create Arguments sample
- Wait some time
- Call context menu on projects node and select Versioning|Import into Subversion Repository... menu item
- Add your path to Repository URL and press Next button
- Type any message and press Next button
- In "Files to Import" table I see 3 items only
src
Makefile
nbproject
- Press Finish button
- Close project
- Push Team|Remote Subversion|Checkout... menu item
- Type your path to Repository URL and press Next button
- Press Browse button
==> 'nbproject' and 'src' folders are empty
- Press OK button
- Press Finish button
==> I see window with "Create Project" button
Comment 1 soldatov 2017-02-08 13:27:26 UTC
Workaround:
- Call Show Changes menu item
- Commit new files
Comment 2 Alexander Simon 2017-02-13 14:23:15 UTC
It looks if create sample project did not refresh folder after unzip
Comment 3 Vladimir Kvashin 2017-03-26 19:53:32 UTC
Created attachment 163950 [details]
Possible fix
Comment 4 Vladimir Kvashin 2017-03-27 14:54:37 UTC
Should be fixed by 9d4c2d58ad8d on enum
Comment 5 Quality Engineering 2017-04-02 02:37:53 UTC
Integrated into 'main-silver', will be available in build *201704020002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/fc6ff7eb75e7
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #269778 - In new project a "Import into Subversion Repository" menu item commits empty nbproject and src directories
(transplanted from 9d4c2d58ad8d1ba626298f68cef055958c812032)
Comment 6 ilia 2017-04-13 11:05:58 UTC
https://netbeans.org/bugzilla/show_bug.cgi?id=269778 Changesets:
    http://hg.netbeans.org/releases/rev/9d4c2d58ad8d # fixed #269778 - In new project a "Import into Subversion Repository" menu item commits empty nbproject and src directories
Comment 7 soldatov 2017-04-19 14:54:37 UTC
Verified in NetBeans IDE 8.2 (Build 201704181436)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo